html, body {height: 100%;}
body {
    font-size: 16px;
    letter-spacing: 2px;
    font-family: "微軟正黑體 新細明體";
    color: #000;
}

/* override */
    a {
        outline: none !important; /* for Firefox */
    }

    blockquote.inline { display: inline-block; }

    /* bootstrap table */
    .table-striped > tbody > tr:nth-child(odd) > td,
    .table-striped > tbody > tr:nth-child(odd) > th {
        background-color: #cdf2f4;
    }
    .alert{ margin-bottom: 0px; }

    /* font-awsome icon size! */
    .fa {
        font-size: 1.35em !important;
        line-height: 20px;
    }
    .fa-salelistfixed{
        font-size:1em !important;
        line-height:1em;
    }

    .left-sidebar,
    .content-wrapper{
        overflow-y:auto;
        background-color: #FFF !important;
    }

    .nav.nav-tabs-custom-colored > li.active > a,
    .nav.nav-tabs-custom-colored > li.active > a:hover,
    .nav.nav-tabs-custom-colored > li.active > a:focus{
        background-color: #4F8C82;
    }

    .data-value{
        height: 30px;
        line-height: 15px;
    }

    .profile h3{
        margin-top: 15px;
        margin-bottom: 15px;
    }

    .footer{ clear: both; }

    ul.sub-menu > li{
        list-style: none;
    }


    .step-link{
        color: #000 !important;
        text-decoration: none;
    }

    .active .step-link{
        color: #FFF !important;
        text-decoration: none;
    }

.btn-info.active{
    background-color: #349DB7;
    border-color: #1D92AF;
}

    /* dataTables部分樣式 */
    .dataTables_length{
        float: none !important;
        display: inline-block;
        margin-bottom: 0px;
    }

/* override */

.fa-icon-fixed{
    position: relative;
    left:6px;
}

.helper {
    -moz-user-select: none;
    background-image: none;
    background-color: inherit;
    border: 1px solid transparent;
    display: inline-block;
    float: left;
    padding: 0px;
    position: relative;
    top: 6px;
    left: 3px;
    font-weight: 400;
    cursor: pointer;
    line-height: 1.42857;
    text-align: center;
    white-space: nowrap;
    vertical-align: middle;
}
.helper:hover{
    outline: medium none;
    text-decoration: none;
}

    .helper-people-logger-fixed{
        float: right;
        padding: 0px;
        top: 3px;
        left: 3px;
    }

/**
 * 系統配色定義區塊
 * @see http://blog.koalite.com/bbg/ 按鈕顏色編輯預覽器
 * @see http://charliepark.org/bootstrap_buttons/ 立體效果版
 */
/*** 全域操作功能或樣式顏色 ***/
.color-userbtn{ color: #ffffff; background-color: #2590C2; border-color: #14668C;  }
.color-userbtn:hover{ color: #ffffff; background-color: #1775A1; border-color: #14668C; }

.color-backprev{ color: #FFFFFF; background-color: #708090; border-color: #6B859E; }
.color-backprev:hover{ color: #FFFFFF; background-color: #8498AD; border-color: #6B859E; }

.color-tonext{ color: #FFFFFF; background-color: #231EC7; border-color: #807DDB; }
.color-tonext:hover{ color: #FFFFFF; background-color: #504BE3; border-color: #807DDB; }

.color-print{ color: #FFF; background-color: #228B22; }
.color-print:hover{ color: #FFF; background-color: #006400; }

.color-refresh{ color: #ffffff; background-color: #115A75; border-color: #1499C9; }
.color-refresh:hover{ color: #ffffff; background-color: #1F80A3; border-color: #1499C9; }

.color-reset{ color: #E0BCBC; background-color: #B22525; }
.color-reset:hover{ color: #FFF; background-color: #CE2929; }

.color-helper{ color: #BA64BA; }
.color-helper:hover{ color: #993D99; }

.color-chooseall{ color: #FFF; background-color: #31967D; border-color: #7ECCB9; }
.color-chooseall:hover{ color: #FFF; background-color: #22A886; border-color: #7ECCB9; }
/*** 全域操作功能或樣式顏色 ***/

/*** 物件各別專屬配色 ***/
.color-supplier{ color: #859419; }
.lebelitem-supplier{ color: #859419; background-color: #F2F2C9; border-color: #C7C782; }

.color-customer{ color: #CE7B11; }
.lebelitem-customer{ color: #CE7B11; background-color: #4A1604; border-color: #F27348; }
.lebelitem-customer:hover,
.lebelitem-customer-active{ color: #CE7B11; background-color: #8A3012; border-color: #F27348; }

.color-unit{ color: #E60404; }
.color-goods{ color: #A9435C; }
.color-employee{ color: #555555; }
/*** 物件各別專屬配色 ***/

/*** 進銷存操作流程功能配色 ***/
.color-status{ color:#26A17A; }

.color-flow-changetype{ color: #ffffff; background-color: #1B49BD; border-color: #18181C; }
.color-flow-changetype.active,
.color-flow-changetype:hover{ color: #ffffff; background-color: #5D74E3; border-color: #18181C; }

.color-flow-changeunit{
  background-color: hsl(86, 79%, 44%) !important;
  background-repeat: repeat-x;
  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr="#daf6b5", endColorstr="#7cc817");
  background-image: -khtml-gradient(linear, left top, left bottom, from(#daf6b5), to(#7cc817));
  background-image: -moz-linear-gradient(top, #daf6b5, #7cc817);
  background-image: -ms-linear-gradient(top, #daf6b5, #7cc817);
  background-image: -webkit-gradient(linear, left top, left bottom, color-stop(0%, #daf6b5), color-stop(100%, #7cc817));
  background-image: -webkit-linear-gradient(top, #daf6b5, #7cc817);
  background-image: -o-linear-gradient(top, #daf6b5, #7cc817);
  background-image: linear-gradient(#daf6b5, #7cc817);
  border-color: #7cc817 #7cc817 hsl(86, 79%, 34%);
  color: #333 !important;
  text-shadow: 0 1px 1px rgba(255, 255, 255, 0.66);
  -webkit-font-smoothing: antialiased;
}
.color-flow-changeunit.active,
.color-flow-changeunit:hover{ color: #ffffff; background-color: #5D74E3; border-color: #18181C; }

.color-flow-change{ color: #FFFFFF; background-color: #A38A65; border-color: #7A6038; }
.color-flow-change:hover{ color: #FFFFFF; background-color: #C9A063; border-color: #7A6038; }

.color-flow-viewinfo{ color: #D7EDF7; background-color: #60737A; border-color: #9FB6BF; }
.color-flow-viewinfo:hover{ color: #D7EDF7; background-color: #616161; border-color: #9FB6BF; }

.color-step-edit{ color: #FFFFFF; background-color: #F0C103; border-color: #BDB87D; }
.color-step-edit:hover{ color: #FFFFFF; background-color: #D1A82C; border-color: #BDB87D; }

.color-step-preview{ color: #FFFFFF; background-color: #9E8214; border-color: #B5930B; }
.color-step-preview:hover{ color: #FFFFFF; background-color: #C7A725; border-color: #B5930B; }

.color-step-remove{ color: #FFFFFF; background-color: #c9302c; border-color: #AC2925;  }
.color-step-remove:hover{ color: #FFFFFF; background-color: #D02A25; border-color: #AC2925;  }

.color-step-process{ color: #FFFFFF; background-color: #71D130; border-color: #19A81E; }
.color-step-process:hover{ color: #FFFFFF; background-color: #0CC93E; border-color: #19A81E; }

.color-step-paid{ color: #FFFFFF; background-color: #BF0AB9; border-color: #211521; }
.color-step-paid:hover{ color: #FFFFFF; background-color: #CF38CA; border-color: #211521; }

.color-step-review{ color: #FFFFFF; background-color: #7211AA; border-color: #CF9FEB; }
.color-step-review:hover{ color: #FFFFFF; background-color: #9838CF; border-color: #CF9FEB; }

.btn-choose{
    padding: 4px 10px 5px;
    font-size: 12px;
    height:30px;
    line-height:17px;
}
.btn-salelistchoose{
    padding: 5px 8px 5px;
    line-height:17px;
    position: relative;
    top: -7px;
    font-size: 18px;
}

.color-step-choose{ color: #FFFFFF; background-color: #48B398; border-color: #48786C; }
.color-step-choose:hover{ color: #FFFFFF; background-color: #4ECCAC; border-color: #48786C;  }

.color-step-dnd{ color: #FFFFFF; background-color: #E3BE04; border-color: #473B01; }
.color-step-dnd:hover{ color: #FFFFFF; background-color: #7A6707; border-color: #473B01; }

.color-step-addrow{ color: #FFFFFF; background-color: #CF7F1D; border-color: #7A4D17; }
.color-step-addrow:hover{ color: #FFFFFF; background-color: #C99350; border-color: #7A4D17; }

.color-step-subrow{ color: #FFFFFF; background-color: #A89031; border-color: #D4C99B;  }
.color-step-subrow:hover{ color: #FFFFFF;  background-color: #786519; border-color: #D4C99B; }
/*** 進銷存操作流程功能配色 ***/

/*** 統計類操作功能配色 ***/
/*** 統計類操作功能配色 ***/


/* 統計報表查詢區塊 */
.alert-filter{
    background-color: #C3E0E2;
    border-color: #95D6DB;
    color: #5B8B8E;
}
    .alert-filter .form-group:first-child{ margin-right: 10px; }
    .alert-filter .form-group:not(:first-child){ margin: 0px 10px; }


.login-logo{
    margin: auto;
    width:300px;
    margin-bottom: 40px;
    background:rgba(0, 0, 0, 0) url("img/logoicon.png") no-repeat scroll 33px 2px;
    height: 26px;
    line-height: 26px;
}
.login-logo a {
    font-size: 20px;
    color: #4C4C4C;
    text-decoration: none;
}

.logo {
    height: 10px;
}

.logo a{
    color: #FFF;
    font-size: 15px;
    position: absolute;
    text-decoration: none;
    top: -6px;
}

.dashboard{ background-color: #F0AD4E !important; color: #FFF !important; }

/* 頂部使用者功能鈕、登出鈕 */
.top-icon-fixed{ position: relative; top:2px; }

.sidebar-content h5 {
    display: block;
    font-size: 0.9em;
    margin-bottom: 0;
    text-align: left;
}

#topCustomMenu{
    width: inherit;
    height: 28px;
}

.sub-menu i.fa{ cursor: move; }
.menu-item,
.menu-item-helper{
    border: 3px double #CCC;
    display: inline-block;
    list-style: outside none none;
    background-color: #F9F9F9;
    text-align: center;
    vertical-align: middle;
}
.menu-item-helper{
    height: 40px;
    width: 160px;
    line-height: 40px;
    font-size: 18px;
}
.menu-item{
    min-width: 120px;
    height: 30px;
    line-height: 28px;
    font-size: 14px;
    white-space: nowrap;
}
.menu-item a ,
.menu-item-helper a{ color:#000 !important; text-decoration: none; }
.drag-active-highlight{
    background-color: #fcf9ab;
    border: 2px solid #FFF;
}

/* 儀表板系統說明 */
.dashboard-info-paragraph{
    margin: 2px;
    padding: 4px;
    vertical-align: middle;
}

/*限制文字編輯只能拖曳一個方向*/
.formitem-resize-vert{ resize: vertical; }

/**
 *  調整modal-dialog樣式
 */
.modal-dialog {
    background-color: #F7F7F9;
    border-radius: 20px;
    padding: 0px !important;
}
    .modal-large{ width:90%; }

/**
 *  調整小幫手圖示樣式
 */
.widget .widget-header .btn-help{
    top: 6px;
}
.widget .widget-header .help-sly-route{
    color : #E1823E;
    top: 6px;
}
/* 視窗區塊 */
.widget .widget-content{ background-color: #FFF; }

/**
 *     配置eye click or focus effect
 */
.widget-fullwindow{ position: absolute !important; top:0px; left:0px; width:100%; height: 100%;}

/**
 * 視窗標單元件
 * */
.widget-posrel{ position: relative; }
.widget-posabs-btn{ position: absolute; right: 15px; top:15px; }

/**
 * 建檔類物件個別資訊區塊樣式
 */
.field-middle{ margin:5px auto; }
    /* 車位面積區塊 */
    .parking-header{
        margin-bottom: 5px;
    }


.input-xsw{ width: 4em !important; }
.input-smw{ width: 8em !important; }
.input-lgw{  width: 16em !important; }

label.form-label,
label.control-label{
    color: #67AF4D;
}
    .sub-lebel{
        margin-left: 1em;
        margin-right: -10px;
    }

.inline-group{
    margin-left: 0px !important;
    margin-right: 0px !important;
    margin-bottom: 0px !important;
}
.element-inlineblock{
    position: relative;
    display: inline-block;
}

/* 群組欄位動態移除按鈕樣式 */
.btn-remove-self,
.btn-ajaxdelete-area{
    position: absolute;
    bottom: 20px;
    right: 0px;
}


.wizard-form .help-block{ padding:3px; }
/*標籤輸入欄位樣式預設長度*/
.bootstrap-tagsinput{ min-width: 30em;}
/*搜尋功能按鈕*/
.widget-search-icon{
    position: absolute;
    left: 195px;
    top: 5px;
    cursor: pointer;
}
.widget-search{ width:15em; display: inline-block;}
.widget-search-recovery, .widget-filter, .widget-filter-menu{ line-height:10px; margin-bottom:5px; }

/**
 * Google Map 區塊樣式
 * */
.map-sm{
  min-height: 420px;
}
.map-xs{
  min-height: 360px;
}


/**
 * Fileinput預覽樣式
 *
 * */
 .file-preview-image{
    max-width: 160px;
    max-height: 160px;
    height: auto;
 }

/**
 * 列表類處理樣式
 * 歸納分類/標籤
 */
.list-category li{ margin:5px 0px 2px; }
    .list-category-item{ font-size:1.3em; }
.list-subcategory li{ margin:3px 0px;  }
    .list-category-item{ font-size:1.2em; }


    /****************************************
     * 針對建檔列表記錄配置樣式區塊
     * 1.
     ****************************************/
    #dataTable thead th{
        vertical-align: middle;
    }

    #dataTable tbody td{
        text-align: center;
    }
        /* 表單列表編輯價格欄位*/
        .record-cell-price{
            display:inline-block;
            max-width: 7em;
        }
        /* 固定配置在價格旁檢視價格資訊tooltips樣式 */
        .show-price-help{
            padding:0px !important;
        }

        .record-cell-qty{
            display:inline-block;
            max-width: 5em;
        }
        /*參考.form-required樣式配置當紀錄欄位數值有動態異動時顯示強調樣式*/
        .record-cell-em{ border: 2px solid #296eaa; }

    /****************************************
     * 針對進退貨列表品項配置樣式區塊
     ****************************************/
    .odd{
    }
    .even{
        background-color: #FFF8E5;
    }


table th { text-align: center; vertical-align: middle;}
    /* 表/單預覽樣式 */
    .preview-format{ margin:auto; }
    .preview-format tbody,.preview-format td{ border: 1px solid #000; }

/**
 * 檢視側邊頁籤
 **/
.custom-tabs-left .nav-tabs .active a{ font-weight: bolder; color: #E30404; }
